%define _name gnome-netstatus
%define ver_major 2.10

Name: gnome-applets-extra-netstatus
Version: %ver_major.0
Release: alt1

Summary: Netstaus applet for GNOME panel
Summary (ru_RU.UTF-8): Монитор сети для панели GNOME
Group: Graphical desktop/GNOME
License: GPL
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%_name-%version.tar.bz2

%define panel_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0
%define glade_ver 2.5.1

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

Requires: gnome-panel >= %panel_ver
Requires: libglade2 >= %glade_ver

BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: libglade2-devel >= %glade_ver

# Automatically added by buildreq on Mon Jul 19 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-common gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
This package contains an applet which displays the status of a network
device on GNOME panel.

%description -l ru_RU.UTF-8
Апплет панели GNOME, предназначенный для показа состояния выбранного
сетевого устройства.

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_name-%version

%build
%configure --disable-install-schemas \
	    --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %_name

%post
%gconf2_install netstatus

%files -f %_name.lang
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/*/*
%_datadir/%_name
%_datadir/gnome-2.0/ui/*
%_datadir/icons/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README ChangeLog NEWS TODO

%changelog
* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Jul 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2.1-alt1
- 2.6.2.1

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt1
- 0.16

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.14-alt1
- 0.14

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.13-alt1
- 0.13

* Sat Dec 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12-alt1
- 0.12

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt3
- rebuild with new libgtop (2.0.4)

* Sat Jul 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt2
- russian summary, description, translation by slava.

* Mon Jul 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.11-alt1
- 0.11

* Sun Jun 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.10-alt1
- First build for Sisyphus.

